Hide navigation sidebar
Hide table of contents sidebar
Skip to content
ASDF Projects Tutorials Community
Back to top
View this page
Toggle table of contents sidebar

# check_schema

asdf.schema.check_schema(schema, validate_default=True)

  Check a given schema to make sure it is valid YAML schema.

  Parameters:
    schema dict

      The schema object, as returned by `load_schema`.

    validate_default bool, optional

      Set to `True` to validate the content of the default field against the schema.